# Change Log

## 12.1.0

### Minor Changes

- [`205182b`](https://github.com/adobe/spectrum-css/commit/205182bebcbe82813457aa098d8799b0a23423ee) Thanks [@castastrophe](https://github.com/castastrophe)!

## New feature

Minified and gzipped outputs available for all compiled CSS assets.

### Patch Changes

- [#3541](https://github.com/adobe/spectrum-css/pull/3541) [`1a3245c`](https://github.com/adobe/spectrum-css/commit/1a3245c3a660bc52ed260f18b6cceab5ee81541d) Thanks [@castastrophe](https://github.com/castastrophe)!

Dependency alignment across the project.

- Updated dependencies [[`205182b`](https://github.com/adobe/spectrum-css/commit/205182bebcbe82813457aa098d8799b0a23423ee), [`1a3245c`](https://github.com/adobe/spectrum-css/commit/1a3245c3a660bc52ed260f18b6cceab5ee81541d)]:
  - @spectrum-css/icon@9.1.0
  - @spectrum-css/thumbnail@9.0.0
  - @spectrum-css/tokens@16.0.1

## 12.0.1

### Patch Changes

- [#3534](https://github.com/adobe/spectrum-css/pull/3534) [`68e0057`](https://github.com/adobe/spectrum-css/commit/68e00577156cc32b21bfa768dbd2d35d73563b4c) Thanks [@castastrophe](https://github.com/castastrophe)! - Fixes a bug in the content of the `dist/index-theme.css` file.

  Expected `index-theme.css` to include the component selectors with component-level custom properties mapped to the `--system` prefixed ones in order to allow a component to support various contexts.

  Expected output example for the index-theme.css:

  ```
  .spectrum-ActionButton {
   --spectrum-actionbutton-background-color-default: var(--system-action-button-background-color-default);
   --spectrum-actionbutton-background-color-hover: var(--system-action-button-background-color-hover);
  ```

- Updated dependencies [[`68e0057`](https://github.com/adobe/spectrum-css/commit/68e00577156cc32b21bfa768dbd2d35d73563b4c)]:
  - @spectrum-css/icon@9.0.1
  - @spectrum-css/thumbnail@8.0.1

## 12.0.0

### Major Changes

- [#2786](https://github.com/adobe/spectrum-css/pull/2786) [`6c19fcf`](https://github.com/adobe/spectrum-css/commit/6c19fcf3f0eda76987f338981ae20f9999febce6) Thanks [@pfulton](https://github.com/pfulton)! - ## Breaking change

  This major update creates a bridge between the Spectrum 1 (S1) and Spectrum 2 (S2) designs, dubbed "Spectrum 2 Foundations". These do _NOT_ reflect a fully migrated S2 component. This approach allows consumers to swap the appearance of their components between S1, Express, and S2 by leveraging a "system" layer that remaps the necessary component-level tokens to the appropriate token dataset.

  For these components to appear S2, you must load the assets with the `@spectrum-css/tokens` at `v16` or higher.

  For S1 or Express, load assets with the `@spectrum-css/tokens` at `v14.x` or `v15.x`.

  If you are looking to implement a fully S2 design, please explore the `next` tag releases instead of using this foundations release. **This release is used in Spectrum Web Components 1.x**.

  ### Deprecations

  The `metadata` folder containing the `mods.md` and `metadata.json` assets has been removed from source. To find information about the components including what selectors, modifiers, and passthroughs are used, please see the `dist/metadata.json` asset shipped with every component containing CSS.

  The `index-vars.css` asset has been removed in this release as it was previously deprecated and is no longer maintained. Please use the `index.css` or `index-base.css`

  ### File usage

  If you are rendering components and need **only** the S2 Foundations styles, you can make use of the `index.css` asset which contains all the base styles plus the system mappings for S2 Foundations.

  If you are using this version to publish **only** an S1 or Express component, you can use the `index-base.css` plus the desired `themes/(spectrum|express).css` file.

  To render a component that can be easily swapped between the S2 Foundations, S1, or Express contexts, load `index-base.css` with the `index-theme.css` file and leverage the appropriate context classes (`.spectrum--legacy` for S1 and `.spectrum--express` for Express).

### Patch Changes

- Updated dependencies [[`6c19fcf`](https://github.com/adobe/spectrum-css/commit/6c19fcf3f0eda76987f338981ae20f9999febce6), [`3d08cea`](https://github.com/adobe/spectrum-css/commit/3d08cea0f590c8c2de7252677a6b81b8cc206b9a), [`6c19fcf`](https://github.com/adobe/spectrum-css/commit/6c19fcf3f0eda76987f338981ae20f9999febce6)]:
  - @spectrum-css/tokens@16.0.0
  - @spectrum-css/thumbnail@8.0.0
  - @spectrum-css/icon@9.0.0

## 11.0.1

### Patch Changes

- [#3522](https://github.com/adobe/spectrum-css/pull/3522) [`7a47c22`](https://github.com/adobe/spectrum-css/commit/7a47c2266b6d0e8c99061fe85cba8d52684bae39) Thanks [@castastrophe](https://github.com/castastrophe)! - Peer dependency for @spectrum-css/tokens updated to include v15 as well as v14.

- Updated dependencies [[`7a47c22`](https://github.com/adobe/spectrum-css/commit/7a47c2266b6d0e8c99061fe85cba8d52684bae39), [`7a47c22`](https://github.com/adobe/spectrum-css/commit/7a47c2266b6d0e8c99061fe85cba8d52684bae39)]:
  - @spectrum-css/tokens@15.2.0
  - @spectrum-css/thumbnail@7.0.1
  - @spectrum-css/icon@8.0.1

## 11.0.0

### Major Changes

- [#3502](https://github.com/adobe/spectrum-css/pull/3502) [`562396e`](https://github.com/adobe/spectrum-css/commit/562396eaf21769341f78ea3761393b65f00e751b) Thanks [@castastrophe](https://github.com/castastrophe)! - Remove empty theme references to reduce complexity for components that don't need to define any mappings. This involves removing the source `themes` directories with the empty `spectrum.css` and `express.com` files as well as removing the following empty or unnecessary exports:

  - `index-base.css`
  - `index-theme.css`
  - `themes/spectrum.css`
  - `themes/express.css`

### Patch Changes

- Updated dependencies [[`c8194b0`](https://github.com/adobe/spectrum-css/commit/c8194b0a5b6e115d7db680f287eb8a2a9709906b), [`562396e`](https://github.com/adobe/spectrum-css/commit/562396eaf21769341f78ea3761393b65f00e751b)]:
  - @spectrum-css/tokens@15.1.0
  - @spectrum-css/thumbnail@7.0.0
  - @spectrum-css/icon@8.0.0

## 10.4.0

### Minor Changes

- [#3369](https://github.com/adobe/spectrum-css/pull/3369) [`9c49505`](https://github.com/adobe/spectrum-css/commit/9c4950517bf0f8ca7b2e373f4323c97d068d0ceb) Thanks [@castastrophe](https://github.com/castastrophe)! - Remove the storybook assets from the shipped output for components

### Patch Changes

- Updated dependencies [[`9c49505`](https://github.com/adobe/spectrum-css/commit/9c4950517bf0f8ca7b2e373f4323c97d068d0ceb)]:
  - @spectrum-css/thumbnail@6.3.0
  - @spectrum-css/icon@7.2.0

## 10.3.1

### Patch Changes

- [#3318](https://github.com/adobe/spectrum-css/pull/3318) [`d8d0450`](https://github.com/adobe/spectrum-css/commit/d8d0450a1c4bc54808f8c423a435f3a882b13c57) Thanks [@cdransf](https://github.com/cdransf)! - Use the already defined custom property `--spectrum-treeview-item-border-color-quiet-selected` in place of the direct value. The border color value remains the same.

## 10.3.0

### Minor Changes

- [#3089](https://github.com/adobe/spectrum-css/pull/3089) [`0e9c3b2`](https://github.com/adobe/spectrum-css/commit/0e9c3b2147ae4d455010ab031cff9c3af991226f) Thanks [@rise-erpelding](https://github.com/rise-erpelding)! - [CSS-871]: Bring back corner rounding on treeview detached variant

## 10.2.3

### Patch Changes

- [#3107](https://github.com/adobe/spectrum-css/pull/3107) [`83d5a17`](https://github.com/adobe/spectrum-css/commit/83d5a171bd850df693707611203ecce21f22e7d2) Thanks [@castastrophe](https://github.com/castastrophe)! - Incorporate glob export for the dist directory in all component packages as well as glob markdown exports (to include both CHANGELOG and READMEs).

  Sort keys in the package.json assets.

- Updated dependencies [[`83d5a17`](https://github.com/adobe/spectrum-css/commit/83d5a171bd850df693707611203ecce21f22e7d2)]:
  - @spectrum-css/thumbnail@6.1.4
  - @spectrum-css/icon@7.1.4

## 10.2.2

### Patch Changes

- [#3045](https://github.com/adobe/spectrum-css/pull/3045) [`5d6e03f`](https://github.com/adobe/spectrum-css/commit/5d6e03f30891f9171f1a600b06d534ee85719277) Thanks [@castastrophe](https://github.com/castastrophe)! - Improve changeset suggestions by using exports instead of files in component packages

- Updated dependencies [[`5d6e03f`](https://github.com/adobe/spectrum-css/commit/5d6e03f30891f9171f1a600b06d534ee85719277)]:
  - @spectrum-css/thumbnail@6.1.3
  - @spectrum-css/icon@7.1.3

## 10.2.1

### Patch Changes

- [#2677](https://github.com/adobe/spectrum-css/pull/2677) [`d83200c`](https://github.com/adobe/spectrum-css/commit/d83200ca70a959aa70329e71de0c4383de157855) Thanks [@castastrophe](https://github.com/castastrophe)! - Leveral local workspace versioning to prevent misalignment

- Updated dependencies [[`d83200c`](https://github.com/adobe/spectrum-css/commit/d83200ca70a959aa70329e71de0c4383de157855)]:
  - @spectrum-css/thumbnail@6.1.2
  - @spectrum-css/icon@7.1.1

## 10.2.0

### Minor Changes

- [#2754](https://github.com/adobe/spectrum-css/pull/2754) [`dbf1406`](https://github.com/adobe/spectrum-css/commit/dbf1406822be32aa1dbd2864b097853423bf06d8) Thanks [@jawinn](https://github.com/jawinn)! - Sets the `color` property in parts of some components that were relying on inheriting a color from higher up in the DOM.

## 10.1.0

### Minor Changes

- [#2616](https://github.com/adobe/spectrum-css/pull/2616) [`7f45ea9`](https://github.com/adobe/spectrum-css/commit/7f45ea95d3d31addf29b0720de8623b0f3f0431d) Thanks [@castastrophe](https://github.com/castastrophe)!

#### Build optmizations to support minification

Output for all component CSS files is now being run through a lightweight optimizer (cssnano) which significantly reduces unnecessary whitespace. These changes reduce file size but should not have any impact on the rendering of the component. By removing unnecessary whitespace from var functions, we are making it easier to effectively minify our provided CSS assets.

### Patch Changes

- Updated peerDependencies [[`7f45ea9`](https://github.com/adobe/spectrum-css/commit/7f45ea95d3d31addf29b0720de8623b0f3f0431d)]:
  - @spectrum-css/icon@>=7
  - @spectrum-css/thumbnail@>=6
  - @spectrum-css/tokens@>=14

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

<a name="10.0.0"></a>

## 10.0.0

🗓
2024-04-18 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.2.6...@spectrum-css/treeview@10.0.0)

\*feat!: postcss config build and script; remove gulp (#2466)([b0f337b](https://github.com/adobe/spectrum-css/commit/b0f337b)), closes[#2466](https://github.com/adobe/spectrum-css/issues/2466)

    	###
    	🛑 BREAKING CHANGES

    		*
    		- Removes component-builder & component-builder-simple for script leveraging postcss

- Imports added to index.css and themes/express.css

<a name="9.2.6"></a>

## 9.2.6

🗓
2024-03-07 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.2.5...@spectrum-css/treeview@9.2.6)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.2.5"></a>

## 9.2.5

🗓
2024-02-26 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.2.4...@spectrum-css/treeview@9.2.5)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.2.4"></a>

## 9.2.4

🗓
2024-02-16 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.2.3...@spectrum-css/treeview@9.2.4)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.2.3"></a>

## 9.2.3

🗓
2024-02-15 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.2.2...@spectrum-css/treeview@9.2.3)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.2.2"></a>

## 9.2.2

🗓
2024-02-06

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.2.1"></a>

## 9.2.1

🗓
2024-02-05 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.2.0...@spectrum-css/treeview@9.2.1)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.2.0"></a>

## 9.2.0

🗓
2024-02-05 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.1.1...@spectrum-css/treeview@9.2.0)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.1.1"></a>

## 9.1.1

🗓
2024-01-29 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.1.0...@spectrum-css/treeview@9.1.1)

### 🐛 Bug fixes

\*deprecate logical transform plugin ([#2437](https://github.com/adobe/spectrum-css/issues/2437))([ff5dda6](https://github.com/adobe/spectrum-css/commit/ff5dda6))

<a name="9.1.0"></a>

## 9.1.0

🗓
2024-01-16 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.0.8...@spectrum-css/treeview@9.1.0)

### ✨ Features

\*remove theme files without content([1eadd4f](https://github.com/adobe/spectrum-css/commit/1eadd4f))

<a name="9.0.8"></a>

## 9.0.8

🗓
2023-12-12 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.0.7...@spectrum-css/treeview@9.0.8)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.0.7"></a>

## 9.0.7

🗓
2023-12-04 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.0.6...@spectrum-css/treeview@9.0.7)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.0.6"></a>

## 9.0.6

🗓
2023-11-15 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.0.4...@spectrum-css/treeview@9.0.6)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.0.5"></a>

## 9.0.5

🗓
2023-11-13 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.0.4...@spectrum-css/treeview@9.0.5)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.0.4"></a>

## 9.0.4

🗓
2023-11-09 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.0.3...@spectrum-css/treeview@9.0.4)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.0.3"></a>

## 9.0.3

🗓
2023-10-13 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.0.2...@spectrum-css/treeview@9.0.3)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.0.2"></a>

## 9.0.2

🗓
2023-09-26 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.0.1...@spectrum-css/treeview@9.0.2)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.0.1"></a>

## 9.0.1

🗓
2023-09-18 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@9.0.0...@spectrum-css/treeview@9.0.1)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="9.0.0"></a>

## 9.0.0

🗓
2023-09-14 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@8.0.1...@spectrum-css/treeview@9.0.0)

\*refactor(treeview)!: migrate to spectrum tokens([525485e](https://github.com/adobe/spectrum-css/commit/525485e)), closes[#1428](https://github.com/adobe/spectrum-css/issues/1428)[#1432](https://github.com/adobe/spectrum-css/issues/1432)

    	###
    	🛑 BREAKING CHANGES

    		*
    		migrate to use `@adobe/spectrum-tokens`

Migrate to use of new Spectrum tokens package, with token values to match
with the previous values through closest available tokens and hardcoded
values.

- Integrate skin.css into index.css
- Replace remapvars with built vars
- Various documentation updates
- Simplify quiet variant styles to be custom property value overrides

Including the following:

fix(treeview): fix minor visual differences and misnamed variable

Note:
The previously named variables for the item padding were all named
incorrectly (values within padding shorthand are top, right, bottom,
left, but variables used were named left, top, right, bottom, so
everything was shifted. The padding right token was the only one with a
value greater than zero and it was actually being assigned to the
padding bottom).

fix(treeview): fix icons disappearing on hover

Icon was appearing behind the ::before pseudo that is currently used
for the hover background color.

<a name="8.0.1"></a>

## 8.0.1

🗓
2023-09-13 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@8.0.0...@spectrum-css/treeview@8.0.1)

### 🔙 Reverts

\*gulp and build updates ([#2121](https://github.com/adobe/spectrum-css/issues/2121))([03a37f5](https://github.com/adobe/spectrum-css/commit/03a37f5)), closes[#2099](https://github.com/adobe/spectrum-css/issues/2099)

<a name="8.0.0"></a>

## 8.0.0

🗓
2023-08-16 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.9...@spectrum-css/treeview@8.0.0)

\*refactor(treeview)!: replace focus-ring with focus-visible([5db0310](https://github.com/adobe/spectrum-css/commit/5db0310))

    	###
    	🛑 BREAKING CHANGES

    		*
    		use focus-visible pseudo class in place of focus-ring

<a name="7.0.9"></a>

## 7.0.9

🗓
2023-08-07 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.8...@spectrum-css/treeview@7.0.9)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="7.0.8"></a>

## 7.0.8

🗓
2023-07-24 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.7...@spectrum-css/treeview@7.0.8)

### 🐛 Bug fixes

\*icon sizing in Storybook story templates ([#2037](https://github.com/adobe/spectrum-css/issues/2037))([c90c8a3](https://github.com/adobe/spectrum-css/commit/c90c8a3))

<a name="7.0.7"></a>

## 7.0.7

🗓
2023-06-21 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.6...@spectrum-css/treeview@7.0.7)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="7.0.6"></a>

## 7.0.6

🗓
2023-06-15 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.5...@spectrum-css/treeview@7.0.6)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="7.0.5"></a>

## 7.0.5

🗓
2023-06-12 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.4...@spectrum-css/treeview@7.0.5)

### 🐛 Bug fixes

\*restore files to pre-formatted state([491dbcb](https://github.com/adobe/spectrum-css/commit/491dbcb))

<a name="7.0.4"></a>

## 7.0.4

🗓
2023-06-02 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.3...@spectrum-css/treeview@7.0.4)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="7.0.3"></a>

## 7.0.3

🗓
2023-06-01 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.2...@spectrum-css/treeview@7.0.3)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="7.0.2"></a>

## 7.0.2

🗓 2023-05-23 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.1...@spectrum-css/treeview@7.0.2)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="7.0.1"></a>

## 7.0.1

🗓 2023-05-17 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@7.0.0...@spectrum-css/treeview@7.0.1)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="7.0.0"></a>

## 7.0.0

🗓 2023-05-09 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.39...@spectrum-css/treeview@7.0.0)

- feat(thumbnail)!: migrate to spectrum-tokens (#1568) ([9d4ec09](https://github.com/adobe/spectrum-css/commit/9d4ec09)), closes [#1568](https://github.com/adobe/spectrum-css/issues/1568)

### 🛑 BREAKING CHANGES

- migrates the Thumbnail component to the `@adobe/spectrum-tokens` package.

<a name="6.0.39"></a>

## 6.0.39

🗓 2023-05-02 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.38...@spectrum-css/treeview@6.0.39)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.38"></a>

## 6.0.38

🗓 2023-04-26 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.37...@spectrum-css/treeview@6.0.38)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.37"></a>

## 6.0.37

🗓 2023-04-25 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.35...@spectrum-css/treeview@6.0.37)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.36"></a>

## 6.0.36

🗓 2023-04-25 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.35...@spectrum-css/treeview@6.0.36)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.35"></a>

## 6.0.35

🗓 2023-04-17 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.33...@spectrum-css/treeview@6.0.35)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.34"></a>

## 6.0.34

🗓 2023-04-14 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.33...@spectrum-css/treeview@6.0.34)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.33"></a>

## 6.0.33

🗓 2023-04-03 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.32...@spectrum-css/treeview@6.0.33)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.32"></a>

## 6.0.32

🗓 2023-03-13 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.31...@spectrum-css/treeview@6.0.32)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.31"></a>

## 6.0.31

🗓 2023-03-09 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.30...@spectrum-css/treeview@6.0.31)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.30"></a>

## 6.0.30

🗓 2023-02-21 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.29...@spectrum-css/treeview@6.0.30)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.29"></a>

## 6.0.29

🗓 2023-02-06 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.28...@spectrum-css/treeview@6.0.29)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.28"></a>

## 6.0.28

🗓 2023-02-01 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.27...@spectrum-css/treeview@6.0.28)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.27"></a>

## 6.0.27

🗓 2023-02-01 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.26...@spectrum-css/treeview@6.0.27)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.26"></a>

## 6.0.26

🗓 2023-01-27 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.25...@spectrum-css/treeview@6.0.26)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.25"></a>

## 6.0.25

🗓 2023-01-25 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.24...@spectrum-css/treeview@6.0.25)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.24"></a>

## 6.0.24

🗓 2023-01-18 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.22...@spectrum-css/treeview@6.0.24)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.23"></a>

## 6.0.23

🗓 2023-01-13 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.22...@spectrum-css/treeview@6.0.23)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.22"></a>

## 6.0.22

🗓 2022-12-16 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.21...@spectrum-css/treeview@6.0.22)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.21"></a>

## 6.0.21

🗓 2022-11-11 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.20...@spectrum-css/treeview@6.0.21)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.20"></a>

## 6.0.20

🗓 2022-06-16 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.19...@spectrum-css/treeview@6.0.20)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.19"></a>

## 6.0.19

🗓 2022-06-07 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.18...@spectrum-css/treeview@6.0.19)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.18"></a>

## 6.0.18

🗓 2022-04-28 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.17...@spectrum-css/treeview@6.0.18)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.17"></a>

## 6.0.17

🗓 2022-04-11 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.16...@spectrum-css/treeview@6.0.17)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.16"></a>

## 6.0.16

🗓 2022-04-08 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.15...@spectrum-css/treeview@6.0.16)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.15"></a>

## 6.0.15

🗓 2022-03-30 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.14...@spectrum-css/treeview@6.0.15)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.14"></a>

## 6.0.14

🗓 2022-03-22 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.13...@spectrum-css/treeview@6.0.14)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.13"></a>

## 6.0.13

🗓 2022-03-17 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.12...@spectrum-css/treeview@6.0.13)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.12"></a>

## 6.0.12

🗓 2022-03-07 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.11...@spectrum-css/treeview@6.0.12)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.11"></a>

## 6.0.11

🗓 2022-03-07 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.10...@spectrum-css/treeview@6.0.11)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.10"></a>

## 6.0.10

🗓 2022-02-23 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.9...@spectrum-css/treeview@6.0.10)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.9"></a>

## 6.0.9

🗓 2022-02-16 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.8...@spectrum-css/treeview@6.0.9)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.8"></a>

## 6.0.8

🗓 2022-01-26 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.7...@spectrum-css/treeview@6.0.8)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.7"></a>

## 6.0.7

🗓 2022-01-06 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.6...@spectrum-css/treeview@6.0.7)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.6"></a>

## 6.0.6

🗓 2022-01-05 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.4...@spectrum-css/treeview@6.0.6)

### 🐛 Bug fixes

- update peer dependencies ([97810cf](https://github.com/adobe/spectrum-css/commit/97810cf))

<a name="6.0.5"></a>

## 6.0.5

🗓 2022-01-05 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.5-beta.0...@spectrum-css/treeview@6.0.5)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.5-beta.0"></a>

## 6.0.5-beta.0

🗓 2021-12-14 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.4...@spectrum-css/treeview@6.0.5-beta.0)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.4"></a>

## 6.0.4

🗓 2021-12-06 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.3...@spectrum-css/treeview@6.0.4)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.3"></a>

## 6.0.3

🗓 2021-11-16 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.2...@spectrum-css/treeview@6.0.3)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.2"></a>

## 6.0.2

🗓 2021-11-10 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.1...@spectrum-css/treeview@6.0.2)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.1"></a>

## 6.0.1

🗓 2021-11-09 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@6.0.0...@spectrum-css/treeview@6.0.1)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="6.0.0"></a>

## 6.0.0

🗓 2021-11-08 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.3-alpha.3...@spectrum-css/treeview@6.0.0)

### 🐛 Bug fixes

- adjusted thumbnail version of treeview; closes [#1276](https://github.com/adobe/spectrum-css/issues/1276) ([e949df5](https://github.com/adobe/spectrum-css/commit/e949df5))
- adjusted tokens for treeview from DSS ([6d9168a](https://github.com/adobe/spectrum-css/commit/6d9168a))
- extra closing parenthesis in treeview component ([99772b9](https://github.com/adobe/spectrum-css/commit/99772b9))
- removed a couple local variables in treeview ([f946e92](https://github.com/adobe/spectrum-css/commit/f946e92))
- removing local vars in treeview ([1d393f6](https://github.com/adobe/spectrum-css/commit/1d393f6))
- update vars & add compact, spacious examples ([c50aaf2](https://github.com/adobe/spectrum-css/commit/c50aaf2))
- update vars & add compact, spacious examples ([dd8caa8](https://github.com/adobe/spectrum-css/commit/dd8caa8))
- updating latest spectrum-tokens ([d35b957](https://github.com/adobe/spectrum-css/commit/d35b957))
- updating version number on vars ([f535b49](https://github.com/adobe/spectrum-css/commit/f535b49))
- use updated tokens & resolve treeview build errors ([67f4112](https://github.com/adobe/spectrum-css/commit/67f4112))
- use updated tokens & resolve treeview build errors ([c892536](https://github.com/adobe/spectrum-css/commit/c892536))
- wip, fixed treeview build ([2fc4e66](https://github.com/adobe/spectrum-css/commit/2fc4e66))

### 🛑 BREAKING CHANGES

- t-shirt sizes added.

<a name="5.0.0"></a>

## 5.0.0

🗓 2021-10-25 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.3-alpha.3...@spectrum-css/treeview@5.0.0)

### 🐛 Bug fixes

- adjusted thumbnail version of treeview; closes [#1276](https://github.com/adobe/spectrum-css/issues/1276) ([e949df5](https://github.com/adobe/spectrum-css/commit/e949df5))
- adjusted tokens for treeview from DSS ([6d9168a](https://github.com/adobe/spectrum-css/commit/6d9168a))
- extra closing parenthesis in treeview component ([99772b9](https://github.com/adobe/spectrum-css/commit/99772b9))
- removed a couple local variables in treeview ([f946e92](https://github.com/adobe/spectrum-css/commit/f946e92))
- removing local vars in treeview ([1d393f6](https://github.com/adobe/spectrum-css/commit/1d393f6))
- update vars & add compact, spacious examples ([c50aaf2](https://github.com/adobe/spectrum-css/commit/c50aaf2))
- update vars & add compact, spacious examples ([dd8caa8](https://github.com/adobe/spectrum-css/commit/dd8caa8))
- updating latest spectrum-tokens ([d35b957](https://github.com/adobe/spectrum-css/commit/d35b957))
- updating version number on vars ([f535b49](https://github.com/adobe/spectrum-css/commit/f535b49))
- use updated tokens & resolve treeview build errors ([67f4112](https://github.com/adobe/spectrum-css/commit/67f4112))
- use updated tokens & resolve treeview build errors ([c892536](https://github.com/adobe/spectrum-css/commit/c892536))
- wip, fixed treeview build ([2fc4e66](https://github.com/adobe/spectrum-css/commit/2fc4e66))

### 🛑 BREAKING CHANGES

- t-shirt sizes added.

<a name="4.0.0"></a>

## 4.0.0

🗓 2021-09-29 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.3-alpha.3...@spectrum-css/treeview@4.0.0)

### 🐛 Bug fixes

- adjusted tokens for treeview from DSS ([6d9168a](https://github.com/adobe/spectrum-css/commit/6d9168a))
- removed a couple local variables in treeview ([f946e92](https://github.com/adobe/spectrum-css/commit/f946e92))
- removing local vars in treeview ([1d393f6](https://github.com/adobe/spectrum-css/commit/1d393f6))
- update vars & add compact, spacious examples ([c50aaf2](https://github.com/adobe/spectrum-css/commit/c50aaf2))
- update vars & add compact, spacious examples ([dd8caa8](https://github.com/adobe/spectrum-css/commit/dd8caa8))
- updating latest spectrum-tokens ([d35b957](https://github.com/adobe/spectrum-css/commit/d35b957))
- updating version number on vars ([f535b49](https://github.com/adobe/spectrum-css/commit/f535b49))
- use updated tokens & resolve treeview build errors ([67f4112](https://github.com/adobe/spectrum-css/commit/67f4112))
- use updated tokens & resolve treeview build errors ([c892536](https://github.com/adobe/spectrum-css/commit/c892536))
- wip, fixed treeview build ([2fc4e66](https://github.com/adobe/spectrum-css/commit/2fc4e66))

### 🛑 BREAKING CHANGES

- t-shirt sizes added.

<a name="3.0.3-alpha.3"></a>

## 3.0.3-alpha.3

🗓 2021-08-16 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.3-alpha.2...@spectrum-css/treeview@3.0.3-alpha.3)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="3.0.3-alpha.2"></a>

## 3.0.3-alpha.2

🗓 2021-06-17 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.3-alpha.1...@spectrum-css/treeview@3.0.3-alpha.2)

### 🐛 Bug fixes

- **tree-view:** reduce rule specificity for easier customization ([b998abd](https://github.com/adobe/spectrum-css/commit/b998abd))
- use renamed aliases ([91f6c04](https://github.com/adobe/spectrum-css/commit/91f6c04))

<a name="3.0.3-alpha.1"></a>

## 3.0.3-alpha.1

🗓 2021-05-12 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.3-alpha.0...@spectrum-css/treeview@3.0.3-alpha.1)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="3.0.3-alpha.0"></a>

## 3.0.3-alpha.0

🗓 2021-04-27 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.2...@spectrum-css/treeview@3.0.3-alpha.0)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="3.0.2"></a>

## 3.0.2

🗓 2021-04-15 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.1...@spectrum-css/treeview@3.0.2)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="3.0.1"></a>

## 3.0.1

🗓 2021-03-10 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.0...@spectrum-css/treeview@3.0.1)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="3.0.0"></a>

## 3.0.0

🗓 2021-02-02 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.0-beta.6...@spectrum-css/treeview@3.0.0)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="3.0.0-beta.6"></a>

## 3.0.0-beta.6

🗓 2020-12-04 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.0-beta.5...@spectrum-css/treeview@3.0.0-beta.6)

### 🐛 Bug fixes

- update main, resolved conflicts ([d7880a2](https://github.com/adobe/spectrum-css/commit/d7880a2))

<a name="3.0.0-beta.5"></a>

## 3.0.0-beta.5

🗓 2020-10-20 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.0-beta.4...@spectrum-css/treeview@3.0.0-beta.5)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="3.0.0-beta.4"></a>

## 3.0.0-beta.4

🗓 2020-09-23 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.0-beta.3...@spectrum-css/treeview@3.0.0-beta.4)

### 🐛 Bug fixes

- change workflow icon size to medium for most of the examples ([#962](https://github.com/adobe/spectrum-css/issues/962)) ([db7b8b2](https://github.com/adobe/spectrum-css/commit/db7b8b2))

<a name="3.0.0-beta.3"></a>

## 3.0.0-beta.3

🗓 2020-06-19 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.0-beta.2...@spectrum-css/treeview@3.0.0-beta.3)

### 🐛 Bug fixes

- correct Treeview icon/text alignment ([#734](https://github.com/adobe/spectrum-css/issues/734)) ([e62419a](https://github.com/adobe/spectrum-css/commit/e62419a))

### 🛑 BREAKING CHANGES

- spectrum-Treeview-icon now required on all non-indicator icons

- feat: implement Quiet and Standalone Treeview

WIP: missing text/icon colors for selected items

fix: implement selected/hover states properly

- .is-drop-target and .is-selected must be placed on the .spectrum-TreeView-item element

- fix: focus states and selected border-width

- docs: make TreeView expand/collapse and selection behave right

- fix: correct naming of icon class

- fix: correct nesting of selected items, icon and text colors

- fix: focus behavior for selected TreeView items

- docs: single select TreeView items on click, multi-select if shift/cmd

- fix: quiet focus border for Treeview

- fix: correct alias references for temporary vars

- feat: add Thumbnail component

- feat: add layers variant to Treeview

- fix: change behavior for landscape images for consistency

show space above and below, fill horizontally

- feat: add background-style cropping for Thumbnails

- feat: support layering images on background in Thumbnail

- fix: properly contain selected/hover boxes

- feat: correct class naming and label truncation in TreeView items
- .spectrum-TreeView-indicator changed to .spectrum-TreeView-itemIndicator
- .spectrum-TreeView-icon changed to .spectrum-TreeView-itemIcon
- .spectrum-TreeView-label required for truncation behavior

- docs: correct widths of TreeView examples

- fix: correct selection behavior for Thumbnail Treeview

- fix: rename --layers to --thumbnail

- feat: implement t-shirt sizing for Thumbnail

- docs: re-organize TreeView docs, change Layers to Thumbnail

- test: add VRT scenario for new component Thumbnail

- docs: trivial fix, don't self-close <use>

- docs: fixup examples for standalone

- docs: add migration guide

Co-authored-by: Jian Liao <jianliao@adobe.com>

<a name="3.0.0-beta.2"></a>

## 3.0.0-beta.2

🗓 2020-05-14 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.0-beta.1...@spectrum-css/treeview@3.0.0-beta.2)

### ✨ Features

- add Treeview heading (via RSP V3) ([#601](https://github.com/adobe/spectrum-css/issues/601)) ([5bd34dc](https://github.com/adobe/spectrum-css/commit/5bd34dc))

<a name="3.0.0-beta.1"></a>

## 3.0.0-beta.1

🗓 2020-03-12 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@3.0.0-beta.0...@spectrum-css/treeview@3.0.0-beta.1)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="3.0.0-beta.0"></a>

## 3.0.0-beta.0

🗓 2020-03-09 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@2.0.6...@spectrum-css/treeview@3.0.0-beta.0)

### ✨ Features

- make Treeview support RTL ([16f7526](https://github.com/adobe/spectrum-css/commit/16f7526))

<a name="2.0.6"></a>

## 2.0.6

🗓 2020-03-06 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@2.0.5...@spectrum-css/treeview@2.0.6)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="2.0.5"></a>

## 2.0.5

🗓 2020-02-10 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@2.0.4...@spectrum-css/treeview@2.0.5)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="2.0.4"></a>

## 2.0.4

🗓 2020-01-23 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@2.0.3...@spectrum-css/treeview@2.0.4)

### 🐛 Bug fixes

- be explicit about Treeview group indicator box model, fixes [#467](https://github.com/adobe/spectrum-css/issues/467) ([32cfd52](https://github.com/adobe/spectrum-css/commit/32cfd52))

<a name="2.0.3"></a>

## 2.0.3

🗓 2019-12-14 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@2.0.2...@spectrum-css/treeview@2.0.3)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="2.0.2"></a>

## 2.0.2

🗓 2019-11-08 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@2.0.1...@spectrum-css/treeview@2.0.2)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="2.0.1"></a>

## 2.0.1

🗓 2019-11-07 • 📝 [Commits](https://github.com/adobe/spectrum-css/compare/@spectrum-css/treeview@2.0.0...@spectrum-css/treeview@2.0.1)

**Note:** Version bump only for package @spectrum-css/treeview

<a name="2.0.0"></a>

## 2.0.0

🗓 2019-10-08

### ✨ Features

- move to individually versioned packages with Lerna ([#265](https://github.com/adobe/spectrum-css/issues/265)) ([cb7fd4b](https://github.com/adobe/spectrum-css/commit/cb7fd4b)), closes [#231](https://github.com/adobe/spectrum-css/issues/231) [#214](https://github.com/adobe/spectrum-css/issues/214) [#229](https://github.com/adobe/spectrum-css/issues/229) [#240](https://github.com/adobe/spectrum-css/issues/240) [#239](https://github.com/adobe/spectrum-css/issues/239) [#161](https://github.com/adobe/spectrum-css/issues/161) [#242](https://github.com/adobe/spectrum-css/issues/242) [#246](https://github.com/adobe/spectrum-css/issues/246) [#219](https://github.com/adobe/spectrum-css/issues/219) [#235](https://github.com/adobe/spectrum-css/issues/235) [#189](https://github.com/adobe/spectrum-css/issues/189) [#248](https://github.com/adobe/spectrum-css/issues/248) [#232](https://github.com/adobe/spectrum-css/issues/232) [#248](https://github.com/adobe/spectrum-css/issues/248) [#218](https://github.com/adobe/spectrum-css/issues/218) [#237](https://github.com/adobe/spectrum-css/issues/237) [#255](https://github.com/adobe/spectrum-css/issues/255) [#256](https://github.com/adobe/spectrum-css/issues/256) [#258](https://github.com/adobe/spectrum-css/issues/258) [#257](https://github.com/adobe/spectrum-css/issues/257) [#259](https://github.com/adobe/spectrum-css/issues/259)

### Migration guide

- **Additional classes**

  - `.spectrum-TreeView-label` is now required to wrap labels to enable truncation behavior
  - `.spectrum-Treeview-icon` is now required on all non-indicator icons

- **Renamed classes**

  - `.spectrum-TreeView-standalone` renamed to `.spectrum-TreeView-detached`
  - `.spectrum-TreeView-indicator` renamed to `.spectrum-TreeView-itemIndicator`
  - `.spectrum-TreeView-icon` renamed to `.spectrum-TreeView-itemIcon`

- **Moved classes**

  - `.is-drop-target` and `.is-selected` must be placed on the `.spectrum-TreeView-item` element

- **Workflow icon size**

  Please replace `.spectrum-Icon--sizeS` with `.spectrum-Icon--sizeM`.

- **Revised sections markup**

  The markup for sections has changed so that the heading is now a child of an `li` instead of the `ul`, to ensure valid markup. An additional class `.spectrum-TreeView-section` has been added for the first level `li` elements that contain the section heading and its child tree view.
